Name:           docker-compose
Summary:        Define and run multi-container applications with Docker
Version:        2.29.1
Release:        1%{_dist_release}
Group:          virtualization
Vendor:         Project Vine
Distribution:   Vine Linux

License:        Apache-2.0
URL:            https://github.com/docker/compose
Source:         https://github.com/docker/compose/archive/refs/tags/v%{version}.tar.gz#/compose-%{version}.tar.gz
# GOPROXY=https://proxy.golang.org,direct go mod vendor
Source1:        vendor.tar.xz
BuildRequires:  golang
Requires:       moby-engine

%description
Docker Compose is a tool for running multi-container applications on Docker defined using the Compose file format. A Compose file is used to define how the one or more containers that make up your application are configured. Once you have a Compose file, you can create and start your application with a single command: docker compose up.
About update and backward compatibility

Docker Compose V2 is a major version bump release of Docker Compose. It has been completely rewritten from scratch in Golang (V1 was in Python). The installation instructions for Compose V2 differ from V1. V2 is not a standalone binary anymore, and installation scripts will have to be adjusted. Some commands are different.

For a smooth transition from legacy docker-compose 1.xx, please consider installing compose-switch to translate docker-compose ... commands into Compose V2's docker compose .... . Also check V2's --compatibility flag.


%prep
%setup -q -a 1 -n compose-%{version}


%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -trimpath \
   -ldflags="-s -w -X github.com/docker/compose/v2/internal.Version=%{version}" \
   -o _build/docker-compose ./cmd/


%install
install -Dpm 0755 _build/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}/usr/lib/docker/cli-plugins
ln -sf ../../../bin/%{name} %{buildroot}/usr/lib/docker/cli-plugins/%{name}

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
ln -sf docker %{buildroot}%{_datadir}/bash-completion/completions/docker-compose


%pre
if [ -e /usr/lib/docker/cli-plugins/%{name} -a ! -L /usr/lib/docker/cli-plugins/%{name} ]; then
	rm -f /usr/lib/docker/cli-plugins/%{name}
fi


%files
%license LICENSE
%doc README.md
%{_bindir}/*
%dir /usr/lib/docker/
%dir /usr/lib/docker/cli-plugins/
/usr/lib/docker/cli-plugins/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/docker-compose


%changelog
* Wed Jul 24 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.29.1-1
- new upstream release.

* Tue Jul 16 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.28.1-1
- initial build for Vine Linux.
